// POV control file for SKINSU

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

/* Texture declarations for object 'skinsu' */
#declare t_1 = texture {
    finish { Shiny }
    pigment { color red 1.000 green 1.000 blue 1.000 }
}

height_field {
    tga "skinsu.tgi"
    smooth                                 
    translate < -0.5, -0.5, -0.5>          // center the field on the axes
    scale <-327.6600, 131.3488, 327.6001>  // scale back to microns
    rotate <0, 135, 0>                     // rotate to match previous display
    texture { t_1 }
    }

// Rows 0 to 127, interval 1
// Columns 0 to 255, interval 1
// X from 12075.601 to 12403.261; mean 12239.431; range 327.660
// Y from 7922.600 to 8250.200; mean 8086.400; range 327.600
// Z from -64.958 to 66.391; mean 0.717; range 131.349

// Each side of the area is 327.6 microns (0.013 in.) long. The
// mountain is 131 microns (.005 in.) high.

camera {
   location <0.0, 327.600 * 2.0, -327.600 * 4.5>
   direction <0, 0, 5>
   look_at <0.000, 0.000, 0.000>
}

light_source {
    <1638.300, 982.980, 0.000> color Wheat
}

light_source {
    <-1638.300, 982.980, 0.000> color SkyBlue
}

