//  Persistance of Vision Raytracer V1.0
//  Robert Martin - Takes 9+ hours to render on a 486-66 w/+a0.2 @640x480
//  4242 Lines of Code - first project I've done
//
//  Contains 2 lights, 4 textures and 428 primitives.
//
//  This file was generated for POV-Ray V1.0 by
//  MORAY.EXE (c) '91 '92 '93 SoftTronics by Lutz Kretzschmar + Markus Lutz
//
//  Thanks Lutz - if you ever see or hear about this????
//
//  Date : 06/28/1993    (25.06.1993)
//
//  As the Sunset's on Old Glory once again - Dedicated to All Americans
//  Happy 4th of July !!!!


#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"


// *******  L I G H T S *******
object {   // Light Source Light1
  light_source {
    <12.480 -0.964 10.008>
    color White
  }
}

object {   // Light Source Light2
  light_source {
    <-9.266 -6.456 10.008>
    color White
  }
}

// ****** C A M E R A ******
camera {
  location  <-8.668 -43.008 68.910>
  direction <0.0  0.0  2.4880>
  sky       <0.0  0.0  1.0>  // Use right handed-system!
  up        <0.0  0.0  1.0>  // Where Z is up
  right     <1.3333  0.0  0.0>
  look_at   <3.220 0.869 1.530>
}


// *********  A C T I O N  *********
//
// *******  T E X T U R E S  *******
// **************  &  **************
// ********  O B J E C T S  ********
object {   // ***** Box for Stars
  box { UnitBox
    texture { color NavyBlue }
  }
  scale <9.796728 5.371930 0.071000>
  translate <-6.713122 6.726959 1.768213>
}

// ***** 7 Red Stripes & 6 White Stripes
object {   // ***** Red_Stripe1
  box { UnitBox
    texture { color Red }
  }
  scale <19.575142 0.768342 0.071000>
  translate <3.048011 -7.144953 1.801884>
}

object {   // ***** White_Stripe1
  box { UnitBox
    texture { color White }
  }
  scale <19.575142 0.768342 0.071000>
  translate <3.048011 -5.605602 1.801884>
}

object {   // ***** Red_Stripe2
  box { UnitBox
    texture { color Red }
  }
  scale <19.575142 0.768342 0.071000>
  translate <3.041972 -4.060408 1.801884>
}

object {   // ***** White_Stripe2
  box { UnitBox 
    texture { color White }
  }
  scale <19.575142 0.780367 0.071000>
  translate <3.041972 -2.511246 1.801884>
}

object {   // ***** Red_Stripe3
  box { UnitBox 
    texture { color Red }
  }
  scale <19.575142 0.768342 0.071000>
  translate <3.048011 -0.954840 1.801884>
}

object {   // ***** White_Stripe3
  box { UnitBox
    texture { color White }
  }
  scale <19.575142 0.768342 0.071000>
  translate <3.035934 0.591438 1.801884>
}

object {   // ***** Red_Stripe4
  box { UnitBox 
    texture { color Red }
  }
  scale <9.784376 0.768000 0.071000>
  translate <12.880716 2.112547 1.801884>
}

object {   // ***** White_Stripe4
  box { UnitBox 
    texture { color White }
  }
  scale <9.784376 0.768000 0.071000>
  translate <12.880716 3.620688 1.801884>
}

object {   // ***** Red_Stripe5
  box { UnitBox
    texture { color Red }
  }
  scale <9.784376 0.768000 0.071000>
  translate <12.880716 5.168870 1.801884>
}

object {   // ***** White_Stripe5
  box { UnitBox
    texture { color White }
  }
  scale <9.784376 0.768000 0.071000>
  translate <12.880716 6.757094 1.801884>
}

object {   // ***** Red_Stripe6
  box { UnitBox 
    texture { color Red }
  }
  scale <9.784376 0.768000 0.071000>
  translate <12.880716 8.265234 1.801884>
}

object {   // ***** White_Stripe6
  box { UnitBox
    texture { color White }
  }
  scale <9.784376 0.768000 0.071000>
  translate <12.880716 9.813416 1.801884>
}

object {   // ***** Red_Stripe7
  box { UnitBox
    texture { color Red }
  }
  scale <9.784376 0.768000 0.071000>
  translate <12.880716 11.361598 1.801884>
}

// ***** The 5-point Star
#declare pointM1 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM2 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM3 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM4 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM5 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

// ***** 50 Flat Stars
composite {   // ***** Flat_Star1
    object { intersection { pointM1 } }
    object { intersection { pointM2 } }
    object { intersection { pointM3 } }
    object { intersection { pointM4 } }
    object { intersection { pointM5 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-16.050178 10.166928 6.200000>
}
#declare pointM6 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM7 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM8 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM9 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM10 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star2
    object { intersection { pointM6 } }
    object { intersection { pointM7 } }
    object { intersection { pointM8 } }
    object { intersection { pointM9 } }
    object { intersection { pointM10 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-16.087959 7.975648 6.200000>
}
#declare pointM11 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM12 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM13 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM14 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM15 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star3
    object { intersection { pointM11 } }
    object { intersection { pointM12 } }
    object { intersection { pointM13 } }
    object { intersection { pointM14 } }
    object { intersection { pointM15 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-16.050178 5.859930 6.200000>
}
#declare pointM16 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM17 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM18 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM19 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM20 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star4
    object { intersection { pointM16 } }
    object { intersection { pointM17 } }
    object { intersection { pointM18 } }
    object { intersection { pointM19 } }
    object { intersection { pointM20 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-16.087959 3.706430 6.200000>
}
#declare pointM21 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM22 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM23 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM24 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM25 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star5
    object { intersection { pointM21 } }
    object { intersection { pointM22 } }
    object { intersection { pointM23 } }
    object { intersection { pointM24 } }
    object { intersection { pointM25 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-16.087959 1.552931 6.200000>
}
#declare pointM26 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM27 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM28 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM29 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM30 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star6
    object { intersection { pointM26 } }
    object { intersection { pointM27 } }
    object { intersection { pointM28 } }
    object { intersection { pointM29 } }
    object { intersection { pointM30 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-14.274486 9.033507 6.200000>
}
#declare pointM31 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM32 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM33 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM34 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM35 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star7
    object { intersection { pointM31 } }
    object { intersection { pointM32 } }
    object { intersection { pointM33 } }
    object { intersection { pointM34 } }
    object { intersection { pointM35 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-14.236705 6.955569 6.200000>
}
#declare pointM36 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM37 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM38 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM39 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM40 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star8
    object { intersection { pointM36 } }
    object { intersection { pointM37 } }
    object { intersection { pointM38 } }
    object { intersection { pointM39 } }
    object { intersection { pointM40 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-14.236705 4.764290 6.200000>
}
#declare pointM41 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM42 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM43 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM44 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM45 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star9
    object { intersection { pointM41 } }
    object { intersection { pointM42 } }
    object { intersection { pointM43 } }
    object { intersection { pointM44 } }
    object { intersection { pointM45 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-14.198924 2.573010 6.200000>
}
#declare pointM46 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM47 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM48 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM49 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM50 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star10
    object { intersection { pointM46 } }
    object { intersection { pointM47 } }
    object { intersection { pointM48 } }
    object { intersection { pointM49 } }
    object { intersection { pointM50 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-12.498794 10.166928 6.200000>
}
#declare pointM51 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM52 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM53 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM54 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM55 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star11
    object { intersection { pointM51 } }
    object { intersection { pointM52 } }
    object { intersection { pointM53 } }
    object { intersection { pointM54 } }
    object { intersection { pointM55 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-12.461013 7.975648 6.200000>
}
#declare pointM56 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM57 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM58 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM59 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM60 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star12
    object { intersection { pointM56 } }
    object { intersection { pointM57 } }
    object { intersection { pointM58 } }
    object { intersection { pointM59 } }
    object { intersection { pointM60 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-12.423232 5.859930 6.200000>
}
#declare pointM61 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM62 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM63 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM64 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM65 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star13
    object { intersection { pointM61 } }
    object { intersection { pointM62 } }
    object { intersection { pointM63 } }
    object { intersection { pointM64 } }
    object { intersection { pointM65 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-12.461013 3.706430 6.200000>
}
#declare pointM66 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM67 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM68 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM69 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM70 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star14
    object { intersection { pointM66 } }
    object { intersection { pointM67 } }
    object { intersection { pointM68 } }
    object { intersection { pointM69 } }
    object { intersection { pointM70 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-12.461013 1.552931 6.200000>
}
#declare pointM71 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM72 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM73 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM74 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM75 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star15
    object { intersection { pointM71 } }
    object { intersection { pointM72 } }
    object { intersection { pointM73 } }
    object { intersection { pointM74 } }
    object { intersection { pointM75 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-10.723101 9.033507 6.200000>
}
#declare pointM76 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM77 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM78 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM79 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM80 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star16
    object { intersection { pointM76 } }
    object { intersection { pointM77 } }
    object { intersection { pointM78 } }
    object { intersection { pointM79 } }
    object { intersection { pointM80 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-10.723101 6.955569 6.200000>
}
#declare pointM81 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM82 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM83 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM84 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM85 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star17
    object { intersection { pointM81 } }
    object { intersection { pointM82 } }
    object { intersection { pointM83 } }
    object { intersection { pointM84 } }
    object { intersection { pointM85 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-10.685321 4.764290 6.200000>
}
#declare pointM86 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM87 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM88 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM89 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM90 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star18
    object { intersection { pointM86 } }
    object { intersection { pointM87 } }
    object { intersection { pointM88 } }
    object { intersection { pointM89 } }
    object { intersection { pointM90 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-10.723101 2.573010 6.200000>
}
#declare pointM91 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM92 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM93 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM94 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM95 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star19
    object { intersection { pointM91 } }
    object { intersection { pointM92 } }
    object { intersection { pointM93 } }
    object { intersection { pointM94 } }
    object { intersection { pointM95 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-8.985190 10.166928 6.200000>
}
#declare pointM96 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM97 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM98 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM99 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM100 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star20
    object { intersection { pointM96 } }
    object { intersection { pointM97 } }
    object { intersection { pointM98 } }
    object { intersection { pointM99 } }
    object { intersection { pointM100 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-9.008691 7.999418 6.200000>
}
#declare pointM101 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM102 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM103 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM104 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM105 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star21
    object { intersection { pointM101 } }
    object { intersection { pointM102 } }
    object { intersection { pointM103 } }
    object { intersection { pointM104 } }
    object { intersection { pointM105 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-8.998145 5.844156 6.200000>
}
#declare pointM106 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM107 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM108 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM109 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM110 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star22
    object { intersection { pointM106 } }
    object { intersection { pointM107 } }
    object { intersection { pointM108 } }
    object { intersection { pointM109 } }
    object { intersection { pointM110 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-8.998145 3.664193 6.200000>
}
#declare pointM111 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM112 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM113 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM114 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM115 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star23
    object { intersection { pointM111 } }
    object { intersection { pointM112 } }
    object { intersection { pointM113 } }
    object { intersection { pointM114 } }
    object { intersection { pointM115 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-8.998145 1.530612 6.200000>
}
#declare pointM116 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM117 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM118 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM119 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM120 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star24
    object { intersection { pointM116 } }
    object { intersection { pointM117 } }
    object { intersection { pointM118 } }
    object { intersection { pointM119 } }
    object { intersection { pointM120 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-7.189239 8.998145 6.200000>
}
#declare pointM121 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM122 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM123 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM124 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM125 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star25
    object { intersection { pointM121 } }
    object { intersection { pointM122 } }
    object { intersection { pointM123 } }
    object { intersection { pointM124 } }
    object { intersection { pointM125 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-7.166330 6.940025 6.200000>
}
#declare pointM126 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM127 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM128 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM129 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM130 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star26
    object { intersection { pointM126 } }
    object { intersection { pointM127 } }
    object { intersection { pointM128 } }
    object { intersection { pointM129 } }
    object { intersection { pointM130 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-7.142857 4.730983 6.200000>
}
#declare pointM131 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM132 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM133 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM134 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM135 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star27
    object { intersection { pointM131 } }
    object { intersection { pointM132 } }
    object { intersection { pointM133 } }
    object { intersection { pointM134 } }
    object { intersection { pointM135 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-7.142857 2.551020 6.200000>
}
#declare pointM136 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM137 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM138 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM139 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM140 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star28
    object { intersection { pointM136 } }
    object { intersection { pointM137 } }
    object { intersection { pointM138 } }
    object { intersection { pointM139 } }
    object { intersection { pointM140 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-5.473098 10.157699 6.200000>
}
#declare pointM141 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM142 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM143 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM144 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM145 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star29
    object { intersection { pointM141 } }
    object { intersection { pointM142 } }
    object { intersection { pointM143 } }
    object { intersection { pointM144 } }
    object { intersection { pointM145 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-5.473098 7.977737 6.200000>
}
#declare pointM146 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM147 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM148 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM149 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM150 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star30
    object { intersection { pointM146 } }
    object { intersection { pointM147 } }
    object { intersection { pointM148 } }
    object { intersection { pointM149 } }
    object { intersection { pointM150 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-5.473098 5.844156 6.200000>
}
#declare pointM151 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM152 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM153 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM154 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM155 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star31
    object { intersection { pointM151 } }
    object { intersection { pointM152 } }
    object { intersection { pointM153 } }
    object { intersection { pointM154 } }
    object { intersection { pointM155 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-5.473098 3.664193 6.200000>
}
#declare pointM156 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM157 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM158 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM159 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM160 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star32
    object { intersection { pointM156 } }
    object { intersection { pointM157 } }
    object { intersection { pointM158 } }
    object { intersection { pointM159 } }
    object { intersection { pointM160 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-5.473098 1.530612 6.200000>
}
#declare pointM161 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM162 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM163 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM164 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM165 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star33
    object { intersection { pointM161 } }
    object { intersection { pointM162 } }
    object { intersection { pointM163 } }
    object { intersection { pointM164 } }
    object { intersection { pointM165 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-3.803340 9.044527 6.200000>
}
#declare pointM166 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM167 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM168 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM169 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM170 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star34
    object { intersection { pointM166 } }
    object { intersection { pointM167 } }
    object { intersection { pointM168 } }
    object { intersection { pointM169 } }
    object { intersection { pointM170 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-3.803340 6.910946 6.200000>
}
#declare pointM171 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM172 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM173 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM174 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM175 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star35
    object { intersection { pointM171 } }
    object { intersection { pointM172 } }
    object { intersection { pointM173 } }
    object { intersection { pointM174 } }
    object { intersection { pointM175 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-3.803340 4.730983 6.200000>
}
#declare pointM176 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM177 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM178 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM179 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM180 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star36
    object { intersection { pointM176 } }
    object { intersection { pointM177 } }
    object { intersection { pointM178 } }
    object { intersection { pointM179 } }
    object { intersection { pointM180 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-3.803340 2.551020 6.200000>
}
#declare pointM181 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM182 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM183 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM184 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM185 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star37
    object { intersection { pointM181 } }
    object { intersection { pointM182 } }
    object { intersection { pointM183 } }
    object { intersection { pointM184 } }
    object { intersection { pointM185 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-2.087199 10.157699 6.200000>
}
#declare pointM186 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM187 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM188 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM189 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM190 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star38
    object { intersection { pointM186 } }
    object { intersection { pointM187 } }
    object { intersection { pointM188 } }
    object { intersection { pointM189 } }
    object { intersection { pointM190 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-2.087199 7.977737 6.200000>
}
#declare pointM191 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM192 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM193 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM194 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM195 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star39
    object { intersection { pointM191 } }
    object { intersection { pointM192 } }
    object { intersection { pointM193 } }
    object { intersection { pointM194 } }
    object { intersection { pointM195 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-2.087199 5.844156 6.200000>
}
#declare pointM196 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM197 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM198 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM199 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM200 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star40
    object { intersection { pointM196 } }
    object { intersection { pointM197 } }
    object { intersection { pointM198 } }
    object { intersection { pointM199 } }
    object { intersection { pointM200 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-2.087199 3.664193 6.200000>
}
#declare pointM201 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM202 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM203 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM204 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM205 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star41
    object { intersection { pointM201 } }
    object { intersection { pointM202 } }
    object { intersection { pointM203 } }
    object { intersection { pointM204 } }
    object { intersection { pointM205 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-2.087199 1.530612 6.200000>
}
#declare pointM206 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM207 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM208 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM209 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM210 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star42
    object { intersection { pointM206 } }
    object { intersection { pointM207 } }
    object { intersection { pointM208 } }
    object { intersection { pointM209 } }
    object { intersection { pointM210 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-0.510204 9.044527 6.200000>
}
#declare pointM211 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM212 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM213 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM214 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM215 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star43
    object { intersection { pointM211 } }
    object { intersection { pointM212 } }
    object { intersection { pointM213 } }
    object { intersection { pointM214 } }
    object { intersection { pointM215 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-0.510204 6.910946 6.200000>
}
#declare pointM216 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM217 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM218 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM219 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM220 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star44
    object { intersection { pointM216 } }
    object { intersection { pointM217 } }
    object { intersection { pointM218 } }
    object { intersection { pointM219 } }
    object { intersection { pointM220 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-0.510204 4.730983 6.200000>
}
#declare pointM221 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM222 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM223 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM224 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM225 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star45
    object { intersection { pointM221 } }
    object { intersection { pointM222 } }
    object { intersection { pointM223 } }
    object { intersection { pointM224 } }
    object { intersection { pointM225 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <-0.510204 2.551020 6.200000>
}
#declare pointM226 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM227 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM228 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM229 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM230 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star46
    object { intersection { pointM226 } }
    object { intersection { pointM227 } }
    object { intersection { pointM228 } }
    object { intersection { pointM229 } }
    object { intersection { pointM230 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <1.020408 10.157699 6.200000>
}
#declare pointM231 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM232 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM233 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM234 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM235 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star47
    object { intersection { pointM231 } }
    object { intersection { pointM232 } }
    object { intersection { pointM233 } }
    object { intersection { pointM234 } }
    object { intersection { pointM235 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <1.020408 7.977737 6.200000>
}
#declare pointM236 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM237 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM238 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM239 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM240 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star48
    object { intersection { pointM236 } }
    object { intersection { pointM237 } }
    object { intersection { pointM238 } }
    object { intersection { pointM239 } }
    object { intersection { pointM240 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <1.020408 5.844156 6.200000>
}
#declare pointM241 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM242 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM243 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM244 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM245 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star49
    object { intersection { pointM241 } }
    object { intersection { pointM242 } }
    object { intersection { pointM243 } }
    object { intersection { pointM244 } }
    object { intersection { pointM245 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <1.020408 3.664193 6.200000>
}
#declare pointM246 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <5.018587 4.089219 8.485502>
}

#declare pointM247 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -104.085373 -0.000000>
  translate <8.559963 4.089219 5.953004>
}

#declare pointM248 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -255.950699 -0.000000>
  translate <1.530143 4.089219 5.953004>
}

#declare pointM249 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -330.894318 -0.000000>
  translate <3.274365 4.089219 1.908613>
}

#declare pointM250 = intersection {
  quadric { QCone_Z texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  scale <1.000000 0.071000 4.000000>
  rotate <-0.000000 -385.694183 -0.000000>
  translate <6.542206 4.089219 1.882147>
}

composite {   // ***** Flat_Star50
    object { intersection { pointM246 } }
    object { intersection { pointM247 } }
    object { intersection { pointM248 } }
    object { intersection { pointM249 } }
    object { intersection { pointM250 } }
  scale <0.185000 1.055000 0.160000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <1.020408 1.530612 6.200000>
}

// ***** The Letters
#declare cgbnd = intersection {   // ***** Capital_G
  box { UnitBox
  scale <0.400000 1.150000 1.900000>
  translate <0.000000 0.000000 0.813000>
  }
}

#declare cgtor1 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color Red }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 0.000000 1.625000>
}

#declare cgcube1 = intersection {
  box { UnitBox 
    texture { color Red }
  }
  scale <0.300000 0.600000 1.100000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 0.000000 1.025000>
}

#declare cgut1 = difference {
    intersection { cgtor1 }
    intersection { cgcube1 }
}

#declare cgtor2 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color Red }
  }
  rotate <-0.000000 -90.000000 -0.000000>
}

#declare cgcube2 = intersection {
  box { UnitBox
    texture { color Red }
  }
  scale <0.300000 0.600000 1.100000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 0.000000 0.600000>
}

#declare cglt1 = difference {
    intersection { cgtor2 }
    intersection { cgcube2 }
}

#declare cgsph1 = intersection { 
  quadric { Sphere 
    texture { color Red }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 1.625000>
}

#declare cgcyl1 = intersection {
  quadric { Cylinder_Z texture { color Red } }
  plane { <0 0 -1> 0 texture { color Red } }
  plane { <0 0 +1> 1 texture { color Red } }
  scale <0.187000 0.187000 1.625000>
  translate <0.000000 0.813000 0.000000>
}

#declare cgsph2 = intersection { 
  quadric { Sphere 
    texture { color Red }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 0.625000>
}

#declare cgsph3 = intersection { 
  quadric { Sphere 
    texture { color Red }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 0.625000>
}

#declare cgcyl2 = intersection {
  quadric { Cylinder_Z texture { color Red } }
  plane { <0 0 -1> 0 texture { color Red } }
  plane { <0 0 +1> 1 texture { color Red } }
  scale <0.187000 0.187000 0.625000>
  translate <0.000000 -0.813000 0.000000>
}

#declare cgcyl3 = intersection {
  quadric { Cylinder_Z texture { color Red } }
  plane { <0 0 -1> 0 texture { color Red } }
  plane { <0 0 +1> 1 texture { color Red } }
  scale <0.187000 0.187000 0.813000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 0.625000>
}

object {
  union {
    difference { cgut1 }
    difference { cglt1 }
    intersection { cgsph1 }
    intersection { cgcyl1 }
    intersection { cgsph2 }
    intersection { cgsph3 }
    intersection { cgcyl2 }
    intersection { cgcyl3 }
  }
  bounded_by { intersection { cgbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <-10.515701 15.107718 1.790000>
}

#declare obnd = intersection {   // ***** Small_O
  box { UnitBox
  scale <0.250000 1.000000 1.000000>
  }
}

object {   // ***** Small_o
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
            }
    texture { color Red }
  bounded_by { intersection { obnd } }
  rotate <-0.000000 -0.000000 90.000000>
  translate <-8.285030 14.999498 1.790000>
}

#declare dbnd = intersection {   // ***** Small_d
  box { UnitBox
  scale <0.311453 1.120546 2.041243>
  translate <0.000000 0.000000 0.776631>
  }
}

#declare dsph1 = intersection {
  quadric { Sphere
    texture { color Red }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 2.438000>
}

#declare dsph2 = intersection {
  quadric { Sphere
    texture { color Red }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare dcyl1 = intersection {
  quadric { Cylinder_Z texture { color Red } }
  plane { <0 0 -1> 0 texture { color Red } }
  plane { <0 0 +1> 1 texture { color Red } }
  scale <0.187000 0.187000 3.250000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare dtor = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color Red }
  }
  rotate <-0.000000 -90.000000 -0.000000>
}

object {
  union {
    intersection { dsph1 }
    intersection { dsph2 }
    intersection { dcyl1 }
    intersection { dtor }
  }
  bounded_by { intersection { dbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <-6.086269 15.250117 1.790000>
}

#declare cbbnd = intersection {
  box { UnitBox
  scale <0.400000 1.200000 2.000000>
  translate <0.000000 0.093367 0.813000>
  }
}

#declare cbtor1 = intersection {   // ***** Capital_B
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color White }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 0.000000 1.625000>
}

#declare cbcube1 = intersection {
  box { UnitBox
    texture { color White }
  }
  scale <0.250000 0.600000 1.100000>
  translate <0.000000 0.600000 1.625000>
}

#declare cbut1 = difference {
    intersection { cbtor1 }
    intersection { cbcube1 }
}

#declare cbtor2 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color White }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 0.000000 0.000000>
}

#declare cbcube2 = intersection {
  box { UnitBox
    texture { color White }
  }
  scale <0.250000 0.600000 1.100000>
  translate <0.000000 0.600000 0.000000>
}

#declare cblt1 = difference {
    intersection { cbtor2 }
    intersection { cbcube2 }
}

#declare cbsph1 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 2.438000>
}

#declare cbsph2 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare cbcyl1 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 3.251000>
  translate <0.000000 0.813000 -0.813000>
}

#declare cbcyl2 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 0.813000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 0.000000 2.438000>
}

#declare cbcyl3 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 0.813000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 0.000000 0.813000>
}

#declare cbcyl4 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 0.813000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 0.000000 -0.813000>
}

object {
  union {
    difference { cbut1 }
    difference { cblt1 }
    intersection { cbsph1 }
    intersection { cbsph2 }
    intersection { cbcyl1 }
    intersection { cbcyl2 }
    intersection { cbcyl3 }
    intersection { cbcyl4 }
  }
  bounded_by { intersection { cbbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <-1.765347 15.221204 1.790000>
}

#declare lbnd = intersection {   // ***** Small_l
  box { UnitBox
  scale <0.311453 0.314318 1.920742>
  translate <0.000000 0.000000 0.776631>
  }
}

#declare lsph1 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 2.438000>
}

#declare lsph2 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 -0.813000>
}

#declare lcyl1 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 3.250000>
  translate <0.000000 0.000000 -0.813000>
}

object {
  union {
    intersection { lsph1 }
    intersection { lsph2 }
    intersection { lcyl1 }
  }
  bounded_by { intersection { lbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <-0.255651 15.150283 1.790000>
}

#declare ebnd = intersection {   // ***** Small_e
  box { UnitBox
  scale <0.300000 1.130322 1.126324>
  translate <0.000000 -0.026040 -0.013008>
  }
}

#declare etor = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color White }
  }
  rotate <-0.000000 -90.000000 -0.000000>
}

#declare ecub1 = intersection {
  box { UnitBox
    texture { color White }
  }
  scale <0.250000 0.331317 0.147235>
  translate <0.000000 -0.746763 -0.147246>
}

#declare ecub2 = intersection {
  box { UnitBox 
    texture { color White }
  }
  scale <0.250000 0.331317 0.147235>
  rotate <45.000000 -0.000000 -0.000000>
  translate <0.000000 -0.638210 -0.429979>
}

#declare ecub3 = intersection {
  box { UnitBox 
    texture { color White }
  }
  scale <0.250000 0.331317 0.147235>
  rotate <22.500000 -0.000000 -0.000000>
  translate <0.000000 -0.758422 -0.345460>
}

#declare sube = difference {
    intersection { etor }
    intersection { ecub1 }
    intersection { ecub2 }
    intersection { ecub3 }
}

#declare ecyl1 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 1.500000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 0.000000>
}

#declare esph1 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 0.000000>
}

#declare esph2 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.574519 -0.574523>
}

object {
  union {
    difference { sube }
    intersection { ecyl1 }
    intersection { esph1 }
    intersection { esph2 }
  }
  bounded_by { intersection { ebnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <1.230291 15.141891 1.790000>
}

#declare sbnd = intersection {   // ***** Small_s
  box { UnitBox
  scale <0.283260 1.157982 1.145902>
  }
}

#declare stor = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -0.401
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -0.401    0.000   0.000   0.000   0.000
             1.000   0.000   0.260  0.000   0.017 >
    texture { color White }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 0.406500 0.406500>
}

#declare scub = intersection {
  box { UnitBox
    texture { color White }
  }
  scale <0.222777 0.350000 0.681846>
  translate <0.000000 0.056500 0.419665>
}

#declare diff1_s = difference {
    intersection { stor }
    intersection { scub }
}

#declare stor1 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -0.401
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -0.401    0.000   0.000   0.000   0.000
             1.000   0.000   0.260  0.000   0.017 >
    texture { color White }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 -0.406500 -0.406500>
}

#declare scub1 = intersection {
  box { UnitBox
    texture { color White }
  }
  scale <0.222777 0.350000 0.681846>
  translate <0.000000 -0.056500 -0.409742>
}

#declare diff2_s = difference {
    intersection { stor1 }
    intersection { scub1 }
}

#declare scyl = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 1.219500>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 0.813000>
}

#declare scyl1 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 1.219500>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.406500 -0.813000>
}

#declare scyl2 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 0.813000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.406500 0.000000>
}

#declare ssph = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 0.813000>
}

#declare ssph1 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

object {
  union {
    difference { diff1_s }
    difference { diff2_s }
    intersection { scyl }
    intersection { scyl1 }
    intersection { scyl2 }
    intersection { ssph }
    intersection { ssph1 }
  }
  bounded_by { intersection { sbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <3.630330 15.135109 1.790000>
}

#declare sbnd1 = intersection {   // ***** Small_s
  box { UnitBox
  scale <0.283260 1.157982 1.145902>
  }
}

#declare stor2 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -0.401
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -0.401    0.000   0.000   0.000   0.000
             1.000   0.000   0.260  0.000   0.017 >
    texture { color White }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 0.406500 0.406500>
}

#declare scub2 = intersection {
  box { UnitBox
    texture { color White }
  }
  scale <0.222777 0.350000 0.681846>
  translate <0.000000 0.056500 0.419665>
}

#declare diff1_s1 = difference {
    intersection { stor2 }
    intersection { scub2 }
}

#declare stor2 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -0.401
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -0.401    0.000   0.000   0.000   0.000
             1.000   0.000   0.260  0.000   0.017 >
    texture { color White }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 -0.406500 -0.406500>
}

#declare scub2 = intersection {
  box { UnitBox
    texture { color White }
  }
  scale <0.222777 0.350000 0.681846>
  translate <0.000000 -0.056500 -0.409742>
}

#declare diff2_s1 = difference {
    intersection { stor2 }
    intersection { scub2 }
}

#declare scyl3 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 1.219500>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 0.813000>
}

#declare scyl4 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 1.219500>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.406500 -0.813000>
}

#declare scyl5 = intersection {
  quadric { Cylinder_Z texture { color White } }
  plane { <0 0 -1> 0 texture { color White } }
  plane { <0 0 +1> 1 texture { color White } }
  scale <0.187000 0.187000 0.813000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.406500 0.000000>
}

#declare ssph2 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 0.813000>
}

#declare ssph3 = intersection { 
  quadric { Sphere 
    texture { color White }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

object {
  union {
    difference { diff1_s1 }
    difference { diff2_s1 }
    intersection { scyl3 }
    intersection { scyl4 }
    intersection { scyl5 }
    intersection { ssph2 }
    intersection { ssph3 }
  }
  bounded_by { intersection { sbnd1 } }
  rotate <-0.000000 90.000000 90.000000>
  translate <5.998361 15.169609 1.790000>
}

#declare acbnd = intersection {   // ***** Capital_A
  box { UnitBox
  scale <0.300000 1.100000 1.900000>
  translate <0.000000 -0.000000 0.808192>
  }
}

#declare casph1 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 2.438000>
}

#declare casph2 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare casph3 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cacyl1 = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.184775 3.351304>
  rotate <14.042461 -0.000000 -0.000000>
  translate <0.000000 0.813116 -0.813061>
}

#declare cacyl2 = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.184775 3.351304>
  rotate <-14.042000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare cacyl3 = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.163363 0.750000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.375000 0.813000>
}

object {
  union {
    intersection { casph1 }
    intersection { casph2 }
    intersection { casph3 }
    intersection { cacyl1 }
    intersection { cacyl2 }
    intersection { cacyl3 }
  }
  bounded_by { intersection { acbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <-3.905049 -11.910148 1.790000>
}

#declare mbnd = intersection {   // ***** Small_m
  box { UnitBox
  scale <0.353552 1.283140 1.063594>
  }
}

#declare mcyl1 = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.187000 1.625000>
  translate <0.000000 0.813000 -0.813000>
}

#declare mcyl3 = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.187000 1.219500>
  translate <0.000000 -0.813000 -0.813000>
}

#declare mcyl2 = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.187000 1.219500>
  translate <0.000000 0.000000 -0.813000>
}

#declare msph1 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 0.813000>
}

#declare msph2 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare msph3 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 -0.813000>
}

#declare msph4 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare mtor = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -0.400
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -0.400    0.000   0.000   0.000   0.000
             1.000   0.000   0.260  0.000   0.017 >
    texture { color NavyBlue }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 0.406500 0.406000>
}

#declare mcub1 = intersection {
  box { UnitBox 
    texture { color NavyBlue }
  }
  scale <0.269674 0.704250 0.500000>
  translate <0.000000 0.406500 -0.108393>
}

#declare diff1_m = difference {
    intersection { mtor }
    intersection { mcub1 }
}

#declare mtor1 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -0.400
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -0.400    0.000   0.000   0.000   0.000
             1.000   0.000   0.260  0.000   0.017 >
    texture { color NavyBlue }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.000000 -0.406500 0.406500>
}

#declare mcub2 = intersection {
  box { UnitBox
    texture { color NavyBlue }
  }
  scale <0.269674 0.689357 0.500000>
  translate <0.000000 -0.406500 -0.093500>
}

#declare diff2_m = difference {
    intersection { mtor1 }
    intersection { mcub2 }
}

object {
  union {
    intersection { mcyl1 }
    intersection { mcyl3 }
    intersection { mcyl2 }
    intersection { msph1 }
    intersection { msph2 }
    intersection { msph3 }
    intersection { msph4 }
    difference { diff1_m }
    difference { diff2_m }
  }
  bounded_by { intersection { mbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <-1.503366 -11.935911 1.790000>
}

#declare ebnd1 = intersection {   // ***** Small_e
  box { UnitBox 
  scale <0.300000 1.130322 1.126324>
  translate <0.000000 -0.026040 -0.013008>
  }
}

#declare etor1 = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color NavyBlue }
  }
  rotate <-0.000000 -90.000000 -0.000000>
}

#declare ecub4 = intersection {
  box { UnitBox
    texture { color NavyBlue }
  }
  scale <0.250000 0.331317 0.147235>
  translate <0.000000 -0.746763 -0.147246>
}

#declare ecub5 = intersection {
  box { UnitBox 
    texture { color NavyBlue }
  }
  scale <0.250000 0.331317 0.147235>
  rotate <45.000000 -0.000000 -0.000000>
  translate <0.000000 -0.638210 -0.429979>
}

#declare ecub6 = intersection {
  box { UnitBox 
    texture { color NavyBlue }
  }
  scale <0.250000 0.331317 0.147235>
  rotate <22.500000 -0.000000 -0.000000>
  translate <0.000000 -0.758422 -0.345460>
}

#declare sube1 = difference {
    intersection { etor1 }
    intersection { ecub4 }
    intersection { ecub5 }
    intersection { ecub6 }
}

#declare ecyl2 = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.187000 1.500000>
  rotate <-90.000000 -0.000000 -0.000000>
  translate <0.000000 -0.813000 0.000000>
}

#declare esph3 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 0.000000>
}

#declare esph4 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.574519 -0.574523>
}

object {
  union {
    difference { sube1 }
    intersection { ecyl2 }
    intersection { esph3 }
    intersection { esph4 }
  }
  bounded_by { intersection { ebnd1 } }
  rotate <-0.000000 90.000000 90.000000>
  translate <0.904086 -11.858824 1.790000>
}

#declare rbnd = intersection {   // ***** Small_r
  box { UnitBox
  scale <0.312186 1.098298 1.062804>
  }
}

#declare rtor = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color NavyBlue }
  }
  rotate <-0.000000 -90.000000 -0.000000>
}

#declare rcub = intersection {
  box { UnitBox
    texture { color NavyBlue }
  }
  scale <0.248567 1.050000 0.500000>
  translate <0.000000 0.000000 -0.500000>
}

#declare diff_r = difference {
    intersection { rtor }
    intersection { rcub }
}

#declare rcyl = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.187000 1.625000>
  translate <0.000000 0.813000 -0.813000>
}

#declare rsph = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 0.813000>
}

#declare rsph1 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.813000 -0.813000>
}

#declare rsph2 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 0.000000>
}

object {
  union {
    difference { diff_r }
    intersection { rcyl }
    intersection { rsph }
    intersection { rsph1 }
    intersection { rsph2 }
  }
  bounded_by { intersection { rbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <3.187119 -11.935911 1.790000>
}

#declare ibnd = intersection {   // ***** Small_i
  box { UnitBox 
  scale <0.418257 0.372315 1.625000>
  translate <0.000000 0.000000 0.327488>
  }
}

#declare icyl = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.187000 1.625000>
  translate <0.000000 0.000000 -0.813000>
}

#declare isph = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 1.625000>
}

#declare isph1 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 -0.813000>
}

#declare isph2 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 0.000000 0.813000>
}

object {
  union {
    intersection { icyl }
    intersection { isph }
    intersection { isph1 }
    intersection { isph2 }
  }
  bounded_by { intersection { ibnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <4.679653 -11.707099 1.790000>
}

#declare cbnd = intersection {   // ***** Small_c
  box { UnitBox 
  scale <0.300000 1.240081 1.122855>
  translate <0.000000 -0.018000 0.008000>
  }
}

#declare ctor = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color NavyBlue }
  }
  rotate <-0.000000 -90.000000 -0.000000>
}

#declare ccub1 = intersection {
  box { UnitBox
    texture { color NavyBlue }
  }
  scale <0.250000 0.200010 0.501963>
  rotate <-45.000000 -0.000000 -0.000000>
  translate <0.000000 -0.657900 -0.375000>
}

#declare ccub2 = intersection {
  box { UnitBox 
    texture { color NavyBlue }
  }
  scale <0.250000 0.200010 0.501963>
  rotate <-135.000000 -0.000000 -0.000000>
  translate <0.000000 -0.663565 0.381000>
}

#declare ccub3 = intersection {
  box { UnitBox 
    texture { color NavyBlue }
  }
  scale <0.250000 0.262971 0.289522>
  rotate <-45.000000 -0.000000 -0.000000>
  translate <-0.026000 -0.845571 0.133176>
}

#declare ccub4 = intersection {
  box { UnitBox 
    texture { color NavyBlue }
  }
  scale <0.250000 0.363146 0.289522>
  rotate <45.000000 -0.000000 -0.000000>
  translate <-0.026000 -0.757917 -0.067176>
}

#declare sub_c = difference {
    intersection { ctor }
    intersection { ccub1 }
    intersection { ccub2 }
    intersection { ccub3 }
    intersection { ccub4 }
}

#declare csph1 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.574413 0.574570>
}

#declare csph2 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.574541 -0.574535>
}

object {
  union {
    difference { sub_c }
    intersection { csph1 }
    intersection { csph2 }
  }
  bounded_by { intersection { cbnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <6.297950 -11.884386 1.790000>
}

#declare abnd = intersection {   // ***** Small_a
  box { UnitBox
  scale <0.250000 1.100000 1.100000>
  }
}

#declare ator = intersection {
  quartic {
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.391
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.391    0.000   0.000   0.000   0.000
             1.000   0.000   1.250  0.000   0.391 >
    texture { color NavyBlue }
  }
  rotate <-0.000000 -90.000000 -0.000000>
}

#declare asph1 = intersection { 
  quadric { Sphere 
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 0.813000>
}

#declare asph2 = intersection {
  quadric { Sphere
    texture { color NavyBlue }
  }
  scale <0.187000 0.187000 0.187000>
  translate <0.000000 -0.813000 -0.813000>
}

#declare acyl = intersection {
  quadric { Cylinder_Z texture { color NavyBlue } }
  plane { <0 0 -1> 0 texture { color NavyBlue } }
  plane { <0 0 +1> 1 texture { color NavyBlue } }
  scale <0.187000 0.187000 1.625000>
  translate <0.000000 -0.813000 -0.813000>
}

object {
  union {
    intersection { ator }
    intersection { asph1 }
    intersection { asph2 }
    intersection { acyl }
  }
  bounded_by { intersection { abnd } }
  rotate <-0.000000 90.000000 90.000000>
  translate <8.686752 -11.897267 1.790000>
}

// ***** The Sunset
object {
  sphere { <0.0  0.0  0.0> 400.0 }
  texture {
    gradient <0.0  1.0  0.0>
    color_map { 
      [0.0 0.8 color red 1.0 green 0.3 blue 0.0
               color red 0.7 green 0.7 blue 1.0]
      [0.8 1.0 color red 0.7 green 0.7 blue 1.0
               color red 0.7 green 0.7 blue 1.0]
     }
     scale <400.0  400.0  400.0>
     ambient 0.7
     diffuse 0.0
  }
  color red 0.7 green 0.7 blue 1.0
}

// ****** The Clouds
object {
  sphere { <0.0  0.0  0.0> 259.0 }
  texture {
    bozo
    turbulence 0.65
    color_map {
      [0.0 0.6 color red 1.0 green 1.0 blue 1.0 alpha 1.0
               color red 1.0 green 1.0 blue 1.0 alpha 1.0]
      [0.6 0.8 color red 1.0 green 1.0 blue 1.0 alpha 1.0
               color red 1.0 green 1.0 blue 1.0]
      [0.8 1.001 color red 1.0 green 1.0 blue 1.0
                 color red 0.8 green 0.8 blue 0.8]
    }
    scale <100.0  20.0  100.0>
    rotate <0 20 0>
    ambient 0.7
    diffuse 0.0
  }
  color red 0.7 green 0.7 blue 1.0
}
